curl --request POST \
--url https://api.withflex.com/v1/events/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}
'import requests
url = "https://api.withflex.com/v1/events/{id}/retry"
payload = { "event": { "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: {webhook_id: 'fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA'}})
};
fetch('https://api.withflex.com/v1/events/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"event_id": "fevt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"event_type": "account.updated",
"object": {
"external_partner": {
"origin": "shopify",
"domain": "example_value",
"flex_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"access_token": "example_value",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z"
},
"customer": {
"customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"shipping_address_id": "fsh_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false
},
"checkout_session": {
"allow_promotion_codes": false,
"amount_total": 2500,
"amount_subtotal": 2500,
"amount_received": 2500,
"amount_refunded": 2500,
"amount_disputed": 2500,
"cancel_url": "https://example.com",
"captures": [
"fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
],
"disputes": [
"fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
],
"capture_method": "automatic",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "example_value",
"created_at": 2500,
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"defaults": {
"customer_id": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"email": "john.doe@example.com",
"first_name": "John",
"last_name": "Doe",
"phone": "+14155550142"
},
"expires_at": 2500,
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"hsa_fsa_eligible": false,
"letter_of_medical_necessity_required": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"mode": "payment",
"origin": "shopify",
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intents": [
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
],
"redirect_url": "https://example.com",
"refunds": [
"fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
],
"setup_intent": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"shipping_options": {
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"shipping_amount": 2500,
"display_name": "Example"
},
"shipping_address_collection": false,
"shipping_details": {
"shipping_address_id": "fsh_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"split_cart": "fsplit_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "open",
"success_url": "https://example.com",
"fees": [
{
"fee_id": "ffee_1234567890",
"amount": 2500,
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"fee_type": "lmn_consultation",
"applied": true,
"waived_reason": "existing_letter"
}
],
"custom_text": {
"after_submit": {
"message": "Premium SPF 50 mineral sunscreen"
},
"shipping_address": {
"message": "Premium SPF 50 mineral sunscreen"
},
"submit": {
"message": "Premium SPF 50 mineral sunscreen"
},
"terms_of_service_acceptance": {
"message": "Premium SPF 50 mineral sunscreen"
},
"terms_of_service_checkbox_required": true,
"payment": {
"message": "Premium SPF 50 mineral sunscreen"
}
},
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"subscription_data": {
"cancel_at": "2026-06-15T14:30:00Z",
"trial_end": "string",
"cancel_at_period_end": false,
"trial_period_days": 0,
"trial_settings": {
"end_behavior": {
"missing_payment_method": "cancel"
}
}
},
"tax_rate": {
"amount": 2500
},
"tax_calculation_mode": "exclusive",
"test_mode": false,
"total_details": {
"amount_discount": 2500,
"amount_tax": 2500,
"amount_shipping": 2500,
"amount_iias": 2500,
"amount_vision": 2500,
"amount_prescription": 2500,
"amount_service": 2500,
"amount_fee": 2500,
"breakdown": {
"discounts": [
{
"discount": {
"discount_id": "fdi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"source": {
"coupon": "fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"type": "coupon"
},
"promo_code": "fpromo_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"end": "string",
"start": "string"
}
}
]
}
},
"visit_type": "cbtSleep",
"setup_future_use": "on_session",
"payment_method_options": {
"card": {
"request_three_d_secure": "automatic"
}
},
"next_action": {
"type": "collect_letter_of_medical_necessity",
"collect_letter_of_medical_necessity": {
"url": "https://example.com"
},
"payment_failed": {
"message": "Premium SPF 50 mineral sunscreen",
"url": "https://example.com",
"decline_code": "string",
"error_code": "string"
},
"provide_second_payment_method": {
"message": "Premium SPF 50 mineral sunscreen",
"url": "https://example.com",
"eligible_amount": 0,
"ineligible_amount": 0
},
"provide_alternative_payment_method": {
"message": "Premium SPF 50 mineral sunscreen",
"url": "https://example.com"
}
},
"partner": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"platform_fees": {
"letter_fee": {
"amount": 2500,
"type": "string",
"status": "pending"
}
}
},
"subscription": {
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [
{
"subscription_item_id": "fsubi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"price": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"quantity": 2500,
"created_at": "2026-06-15T14:30:00Z",
"updated_at": "2026-06-15T14:30:00Z",
"test_mode": false
}
],
"latest_invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "incomplete",
"cancel_at_period_end": false,
"current_period_end": "string",
"current_period_start": "string",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false,
"client_secret": {
"setup_secret": "string",
"payment_secret": "string"
},
"proration_behavior": "always_invoice",
"trial_start": "string",
"trial_end": "string",
"cancel_at": "2026-06-15T14:30:00Z",
"canceled_at": "2026-06-15T14:30:00Z",
"default_payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"discounts": [
{
"discount_id": "fdi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"source": {
"coupon": "fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"type": "coupon"
},
"promo_code": "fpromo_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"end": "string",
"start": "string"
}
]
},
"payment_intent": {
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_capturable": 2500,
"amount_received": 2500,
"application_fee_amount": 0,
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"transfer_data": {
"amount": 2500,
"destination": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"status": "canceled",
"latest_charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"capture_method": "automatic",
"client_secret": "string",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"transfer_group": "example_value",
"payment_card_type": "primary",
"letter_fee_amount": 0,
"transaction_fee": 0,
"last_payment_error": {
"type": "string",
"code": "string",
"decline_code": "string",
"message": "string",
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
},
"setup_intent": {
"setup_intent_id": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_secret": "string",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"status": "requires_payment_method",
"usage": "off_session",
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"invoice": {
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"total": 2500,
"amount_due": 2500,
"amount_paid": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"period_end": "string",
"period_start": "string",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"paid_at": "string",
"status": "draft",
"collection_method": "charge_automatically",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z"
},
"dispute": {
"dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"currency": "usd",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"status": "lost",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"evidence": {
"access_activity_log": "string",
"customer_name": "string",
"customer_email_address": "string",
"customer_purchase_ip": "string",
"billing_address": "string",
"shipping_address": "string",
"shipping_tracking_number": "string",
"shipping_carrier": "string",
"shipping_date": "string",
"service_date": "string",
"product_description": "string",
"refund_policy_disclosure": "string",
"refund_refusal_explanation": "string",
"cancellation_policy_disclosure": "string",
"cancellation_rebuttal": "string",
"duplicate_charge_explanation": "string",
"duplicate_charge_id": "string",
"uncategorized_text": "string",
"customer_communication": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"customer_signature": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"shipping_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"receipt": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"duplicate_charge_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"service_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"uncategorized_file": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"cancellation_policy": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"refund_policy": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
}
},
"evidence_details": {
"due_by": "2026-06-15T14:30:00Z",
"has_evidence": false,
"past_due": false,
"submission_count": 3
},
"balance_transactions": [
{
"balance_transaction_id": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"fee": 2500,
"net": 2500,
"status": "available",
"type": "string",
"reporting_category": "example_value",
"category": "example_value",
"created_at": "2026-06-15T14:30:00Z"
}
],
"payment_method_details": {
"type": "string",
"card": {
"brand": "visa",
"network_reason_code": "example_value"
}
},
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"early_fraud_warning": {
"early_fraud_warning_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"actionable": false,
"fraud_type": "card_never_received",
"partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z"
},
"review": {
"review_id": "frv_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reason": "rule",
"opened_reason": "rule",
"closed_reason": "approved",
"open": false,
"billing_zip": "string",
"ip_address": "string",
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z"
},
"refund": {
"refund_id": "fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"created_at": "2026-06-15T14:30:00Z",
"reason": "duplicate",
"status": "pending",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available",
"items": [
{
"amount_refunded": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available"
}
],
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"charge": {
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_captured": 2500,
"amount_refunded": 2500,
"application_fee_amount": 0,
"captured": false,
"created_at": "2026-06-15T14:30:00Z",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_message": "Premium SPF 50 mineral sunscreen",
"disputed": false,
"paid": false,
"refunded": false,
"refunds": [
"fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
],
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "succeeded",
"test_mode": false,
"transfer_group": "example_value",
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"three_d_secure": {
"authentication_flow": "string",
"result": "string",
"result_reason": "string",
"version": "string"
},
"decline_details": {
"failure_code": "string",
"decline_code": "string",
"failure_message": "string",
"outcome_type": "string",
"network_status": "string",
"seller_message": "string",
"reason": "string",
"risk_level": "string"
},
"balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"export": {
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"filters": {
"payment": {
"limit": 0,
"status": "canceled",
"starting_after": "string",
"ending_before": "string",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"checkout_session": {
"limit": 0,
"offset": 0,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "string",
"start_date": "string",
"end_date": "string"
},
"subscription": {
"limit": 0,
"offset": 0,
"start_date": "string",
"end_date": "string"
},
"customer": {
"limit": 0,
"offset": 0,
"starting_after": "string",
"ending_before": "string"
},
"product": {
"limit": 0,
"offset": 0,
"starting_after": "string",
"ending_before": "string"
},
"charge_reconciliation": {
"start_date": "string",
"end_date": "string"
},
"payout": {
"start_date": "string",
"end_date": "string"
},
"dispute": {
"start_date": "string",
"end_date": "string"
},
"line_item": {
"start_date": "string",
"end_date": "string"
},
"line_item_revenue": {
"start_date": "string",
"end_date": "string"
},
"balance_activity": {
"start_date": "string",
"end_date": "string"
}
},
"test_mode": false
},
"payment_method": {
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "123 Main St",
"line2": "Suite 100",
"postal_code": "94107",
"state": "CA"
},
"email": "john.doe@example.com",
"name": "Example",
"phone": "+14155550142"
},
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"card": {
"brand": "american_express",
"country": "US",
"exp_month": 12,
"exp_year": 2027,
"fingerprint": "abc123",
"funding": "credit",
"last4": "4242"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"off_session": true
},
"product": {
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"document_description": "string",
"receipt_description": "string",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"upc_code": "string",
"gtin": "string",
"reference_gtin": "string",
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"balance_transaction": {
"balance_transaction_id": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"available_on": "string",
"created_at": "2026-06-15T14:30:00Z",
"exchange_rate": 1,
"fee": 2500,
"net": 2500,
"reporting_category": "example_value",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "available",
"source_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"type": "string",
"flex_payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"mid": "example_value",
"currency": "usd",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"transaction_fee_amount": 0,
"interchange_fee_amount": 0,
"lmn_fee_amount": 0,
"dispute_fee_amount": 0,
"card_type": "string",
"card_network": "string"
}
},
"test_mode": false,
"created_at": "2026-06-15T14:30:00Z"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Retry Event
Redeliver an existing event to your webhook endpoints. The event is looked
up by ID; a 404 is returned if no matching event exists.
If a webhook_id is supplied in the body, the original event is redelivered
to that specific webhook endpoint and the stored event is
returned. If no body is supplied, the event is redelivered to all of your
configured webhook endpoints; in this mode only checkout.session.completed
events are supported — the checkout session is re-fetched with its related
objects expanded and a new event (with a fresh fevt_ id) is generated and
delivered.
Authorizations
Use a Bearer token to access this API.
Path Parameters
"fevt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Body
An envelope wrapping a single event object.
An envelope wrapping a single event object.
The Event, or the request describing how to retry it.
Show child attributes
Show child attributes
{
"webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
Response
An envelope wrapping a single event object.
An envelope wrapping a single event object.
The Event, or the request describing how to retry it.
Show child attributes
Show child attributes
{
"event_id": "fevt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"event_type": "account.updated",
"object": {
"external_partner": {
"origin": "shopify",
"domain": "example_value",
"flex_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"access_token": "example_value",
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z"
},
"customer": {
"customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"shipping_address_id": "fsh_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false
},
"checkout_session": {
"allow_promotion_codes": false,
"amount_total": 2500,
"amount_subtotal": 2500,
"amount_received": 2500,
"amount_refunded": 2500,
"amount_disputed": 2500,
"cancel_url": "https://example.com",
"captures": ["fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA"],
"disputes": ["fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"],
"capture_method": "automatic",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "example_value",
"created_at": 2500,
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"defaults": {
"customer_id": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"email": "john.doe@example.com",
"first_name": "John",
"last_name": "Doe",
"phone": "+14155550142"
},
"expires_at": 2500,
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"hsa_fsa_eligible": false,
"letter_of_medical_necessity_required": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"mode": "payment",
"origin": "shopify",
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intents": ["fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"],
"redirect_url": "https://example.com",
"refunds": ["fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"],
"setup_intent": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"shipping_options": {
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"shipping_amount": 2500,
"display_name": "Example"
},
"shipping_address_collection": false,
"shipping_details": {
"shipping_address_id": "fsh_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"split_cart": "fsplit_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "open",
"success_url": "https://example.com",
"fees": [
{
"fee_id": "ffee_1234567890",
"amount": 2500,
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"fee_type": "lmn_consultation",
"applied": true,
"waived_reason": "existing_letter"
}
],
"custom_text": {
"after_submit": {
"message": "Premium SPF 50 mineral sunscreen"
},
"shipping_address": {
"message": "Premium SPF 50 mineral sunscreen"
},
"submit": {
"message": "Premium SPF 50 mineral sunscreen"
},
"terms_of_service_acceptance": {
"message": "Premium SPF 50 mineral sunscreen"
},
"terms_of_service_checkbox_required": true,
"payment": {
"message": "Premium SPF 50 mineral sunscreen"
}
},
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"subscription_data": {
"cancel_at": "2026-06-15T14:30:00Z",
"trial_end": "string",
"cancel_at_period_end": false,
"trial_period_days": 0,
"trial_settings": {
"end_behavior": { "missing_payment_method": "cancel" }
}
},
"tax_rate": { "amount": 2500 },
"tax_calculation_mode": "exclusive",
"test_mode": false,
"total_details": {
"amount_discount": 2500,
"amount_tax": 2500,
"amount_shipping": 2500,
"amount_iias": 2500,
"amount_vision": 2500,
"amount_prescription": 2500,
"amount_service": 2500,
"amount_fee": 2500,
"breakdown": {
"discounts": [
{
"discount": {
"discount_id": "fdi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"source": {
"coupon": "fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"type": "coupon"
},
"promo_code": "fpromo_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"end": "string",
"start": "string"
}
}
]
}
},
"visit_type": "cbtSleep",
"setup_future_use": "on_session",
"payment_method_options": {
"card": { "request_three_d_secure": "automatic" }
},
"next_action": {
"type": "collect_letter_of_medical_necessity",
"collect_letter_of_medical_necessity": { "url": "https://example.com" },
"payment_failed": {
"message": "Premium SPF 50 mineral sunscreen",
"url": "https://example.com",
"decline_code": "string",
"error_code": "string"
},
"provide_second_payment_method": {
"message": "Premium SPF 50 mineral sunscreen",
"url": "https://example.com",
"eligible_amount": 0,
"ineligible_amount": 0
},
"provide_alternative_payment_method": {
"message": "Premium SPF 50 mineral sunscreen",
"url": "https://example.com"
}
},
"partner": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"platform_fees": {
"letter_fee": {
"amount": 2500,
"type": "string",
"status": "pending"
}
}
},
"subscription": {
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [
{
"subscription_item_id": "fsubi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"price": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"quantity": 2500,
"created_at": "2026-06-15T14:30:00Z",
"updated_at": "2026-06-15T14:30:00Z",
"test_mode": false
}
],
"latest_invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "incomplete",
"cancel_at_period_end": false,
"current_period_end": "string",
"current_period_start": "string",
"metadata": { "order_id": "8842", "channel": "shopify" },
"test_mode": false,
"client_secret": {
"setup_secret": "string",
"payment_secret": "string"
},
"proration_behavior": "always_invoice",
"trial_start": "string",
"trial_end": "string",
"cancel_at": "2026-06-15T14:30:00Z",
"canceled_at": "2026-06-15T14:30:00Z",
"default_payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"discounts": [
{
"discount_id": "fdi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"source": {
"coupon": "fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"type": "coupon"
},
"promo_code": "fpromo_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"end": "string",
"start": "string"
}
]
},
"payment_intent": {
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_capturable": 2500,
"amount_received": 2500,
"application_fee_amount": 0,
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"transfer_data": {
"amount": 2500,
"destination": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"status": "canceled",
"latest_charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"capture_method": "automatic",
"client_secret": "string",
"metadata": { "order_id": "8842", "channel": "shopify" },
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"transfer_group": "example_value",
"payment_card_type": "primary",
"letter_fee_amount": 0,
"transaction_fee": 0,
"last_payment_error": {
"type": "string",
"code": "string",
"decline_code": "string",
"message": "string",
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
},
"setup_intent": {
"setup_intent_id": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_secret": "string",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"status": "requires_payment_method",
"usage": "off_session",
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"invoice": {
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"total": 2500,
"amount_due": 2500,
"amount_paid": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"period_end": "string",
"period_start": "string",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"paid_at": "string",
"status": "draft",
"collection_method": "charge_automatically",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z"
},
"dispute": {
"dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"currency": "usd",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z",
"status": "lost",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"evidence": {
"access_activity_log": "string",
"customer_name": "string",
"customer_email_address": "string",
"customer_purchase_ip": "string",
"billing_address": "string",
"shipping_address": "string",
"shipping_tracking_number": "string",
"shipping_carrier": "string",
"shipping_date": "string",
"service_date": "string",
"product_description": "string",
"refund_policy_disclosure": "string",
"refund_refusal_explanation": "string",
"cancellation_policy_disclosure": "string",
"cancellation_rebuttal": "string",
"duplicate_charge_explanation": "string",
"duplicate_charge_id": "string",
"uncategorized_text": "string",
"customer_communication": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"customer_signature": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"shipping_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"receipt": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"duplicate_charge_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"service_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"uncategorized_file": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"cancellation_policy": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"refund_policy": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
}
},
"evidence_details": {
"due_by": "2026-06-15T14:30:00Z",
"has_evidence": false,
"past_due": false,
"submission_count": 3
},
"balance_transactions": [
{
"balance_transaction_id": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"fee": 2500,
"net": 2500,
"status": "available",
"type": "string",
"reporting_category": "example_value",
"category": "example_value",
"created_at": "2026-06-15T14:30:00Z"
}
],
"payment_method_details": {
"type": "string",
"card": {
"brand": "visa",
"network_reason_code": "example_value"
}
},
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"early_fraud_warning": {
"early_fraud_warning_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"actionable": false,
"fraud_type": "card_never_received",
"partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z"
},
"review": {
"review_id": "frv_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reason": "rule",
"opened_reason": "rule",
"closed_reason": "approved",
"open": false,
"billing_zip": "string",
"ip_address": "string",
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z"
},
"refund": {
"refund_id": "fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"created_at": "2026-06-15T14:30:00Z",
"reason": "duplicate",
"status": "pending",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available",
"items": [
{
"amount_refunded": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available"
}
],
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"charge": {
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_captured": 2500,
"amount_refunded": 2500,
"application_fee_amount": 0,
"captured": false,
"created_at": "2026-06-15T14:30:00Z",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_message": "Premium SPF 50 mineral sunscreen",
"disputed": false,
"paid": false,
"refunded": false,
"refunds": ["fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"],
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "succeeded",
"test_mode": false,
"transfer_group": "example_value",
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"three_d_secure": {
"authentication_flow": "string",
"result": "string",
"result_reason": "string",
"version": "string"
},
"decline_details": {
"failure_code": "string",
"decline_code": "string",
"failure_message": "string",
"outcome_type": "string",
"network_status": "string",
"seller_message": "string",
"reason": "string",
"risk_level": "string"
},
"balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"export": {
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": { "order_id": "8842", "channel": "shopify" },
"filters": {
"payment": {
"limit": 0,
"status": "canceled",
"starting_after": "string",
"ending_before": "string",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"checkout_session": {
"limit": 0,
"offset": 0,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "string",
"start_date": "string",
"end_date": "string"
},
"subscription": {
"limit": 0,
"offset": 0,
"start_date": "string",
"end_date": "string"
},
"customer": {
"limit": 0,
"offset": 0,
"starting_after": "string",
"ending_before": "string"
},
"product": {
"limit": 0,
"offset": 0,
"starting_after": "string",
"ending_before": "string"
},
"charge_reconciliation": {
"start_date": "string",
"end_date": "string"
},
"payout": {
"start_date": "string",
"end_date": "string"
},
"dispute": {
"start_date": "string",
"end_date": "string"
},
"line_item": {
"start_date": "string",
"end_date": "string"
},
"line_item_revenue": {
"start_date": "string",
"end_date": "string"
},
"balance_activity": {
"start_date": "string",
"end_date": "string"
}
},
"test_mode": false
},
"payment_method": {
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "123 Main St",
"line2": "Suite 100",
"postal_code": "94107",
"state": "CA"
},
"email": "john.doe@example.com",
"name": "Example",
"phone": "+14155550142"
},
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": { "order_id": "8842", "channel": "shopify" },
"card": {
"brand": "american_express",
"country": "US",
"exp_month": 12,
"exp_year": 2027,
"fingerprint": "abc123",
"funding": "credit",
"last4": "4242"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"off_session": true
},
"product": {
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"document_description": "string",
"receipt_description": "string",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"upc_code": "string",
"gtin": "string",
"reference_gtin": "string",
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"balance_transaction": {
"balance_transaction_id": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"available_on": "string",
"created_at": "2026-06-15T14:30:00Z",
"exchange_rate": 1,
"fee": 2500,
"net": 2500,
"reporting_category": "example_value",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"status": "available",
"source_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"type": "string",
"flex_payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"mid": "example_value",
"currency": "usd",
"metadata": { "order_id": "8842", "channel": "shopify" },
"transaction_fee_amount": 0,
"interchange_fee_amount": 0,
"lmn_fee_amount": 0,
"dispute_fee_amount": 0,
"card_type": "string",
"card_network": "string"
}
},
"test_mode": false,
"created_at": "2026-06-15T14:30:00Z"
}